Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
WorkspaceSelection::$workspaceRepository property core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php The workspace repository service.
WorkspaceSelection::buildConfigurationForm function core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php Form constructor.
WorkspaceSelection::create function core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php Creates an instance of the plugin.
WorkspaceSelection::defaultConfiguration function core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php Gets default configuration for this plugin.
WorkspaceSelection::getReferenceableEntities function core/modules/workspaces/src/Plugin/EntityReferenceSelection/WorkspaceSelection.php Gets the list of referenceable entities.
WorkspacesServiceProvider class core/modules/workspaces/src/WorkspacesServiceProvider.php Defines a service provider for the Workspaces module.
WorkspacesServiceProvider.php file core/modules/workspaces/src/WorkspacesServiceProvider.php
WorkspacesServiceProvider::alter function core/modules/workspaces/src/WorkspacesServiceProvider.php Modifies existing service definitions.
WorkspacesUninstallTest class core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php Tests uninstalling the Workspaces module.
WorkspacesUninstallTest.php file core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php
WorkspacesUninstallTest::$defaultTheme property core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php The theme to install as the default for testing.
WorkspacesUninstallTest::$modules property core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php Modules to enable.
WorkspacesUninstallTest::$profile property core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php The profile to install as a basis for testing.
WorkspacesUninstallTest::testUninstallingWorkspace function core/modules/workspaces/tests/src/Functional/WorkspacesUninstallTest.php Tests deleting workspace entities and uninstalling Workspaces module.
WorkspacesUpdateTest class core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Tests the upgrade path for the Workspaces module.
WorkspacesUpdateTest.php file core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php
WorkspacesUpdateTest::$modules property core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Modules to enable after the database is loaded.
WorkspacesUpdateTest::replaceUser1 function core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Replace User 1 with the user created here.
WorkspacesUpdateTest::setDatabaseDumpFiles function core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Set database dump files to be used.
WorkspacesUpdateTest::testWorkspaceAssociationRemoval function core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Tests the move of workspace association data to a custom table.
WorkspacesUpdateTest::testWorkspaceParentField function core/modules/workspaces/tests/src/Functional/Update/WorkspacesUpdateTest.php Tests the addition of the workspace 'parent' field.
WorkspaceSwitcherBlock class core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php Provides a 'Workspace switcher' block.
WorkspaceSwitcherBlock.php file core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php
WorkspaceSwitcherBlock::$entityTypeManager property core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php The entity type manager.
WorkspaceSwitcherBlock::$formBuilder property core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php The form builder.
WorkspaceSwitcherBlock::build function core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php Builds and returns the renderable array for this block plugin.
WorkspaceSwitcherBlock::create function core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php Creates an instance of the plugin.
WorkspaceSwitcherBlock::__construct function core/modules/workspaces/src/Plugin/Block/WorkspaceSwitcherBlock.php Constructs a new WorkspaceSwitcherBlock instance.
WorkspaceSwitcherForm class core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Provides a form that activates a different workspace.
WorkspaceSwitcherForm.php file core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php
WorkspaceSwitcherForm::$messenger property core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php The messenger service.
WorkspaceSwitcherForm::$workspaceManager property core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php The workspace manager.
WorkspaceSwitcherForm::$workspaceStorage property core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php The workspace entity storage handler.
WorkspaceSwitcherForm::buildForm function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Form constructor.
WorkspaceSwitcherForm::create function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Instantiates a new instance of this class.
WorkspaceSwitcherForm::getFormId function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Returns a unique string identifying the form.
WorkspaceSwitcherForm::submitForm function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Form submission handler.
WorkspaceSwitcherForm::submitSwitchToLive function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Submit handler for switching to the live version of the site.
WorkspaceSwitcherForm::__construct function core/modules/workspaces/src/Form/WorkspaceSwitcherForm.php Constructs a new WorkspaceSwitcherForm.
WorkspaceSwitcherTest class core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Tests workspace switching functionality.
WorkspaceSwitcherTest.php file core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php
WorkspaceSwitcherTest::$defaultTheme property core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php The theme to install as the default for testing.
WorkspaceSwitcherTest::$modules property core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Modules to enable.
WorkspaceSwitcherTest::setUp function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php
WorkspaceSwitcherTest::testQueryParameterNegotiator function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Test switching workspace via a query parameter.
WorkspaceSwitcherTest::testSwitchingWorkspaces function core/modules/workspaces/tests/src/Functional/WorkspaceSwitcherTest.php Test switching workspace via the switcher block and admin page.
workspaces_cron function core/modules/workspaces/workspaces.module Implements hook_cron().
workspaces_entity_access function core/modules/workspaces/workspaces.module Implements hook_entity_access().
workspaces_entity_base_field_info function core/modules/workspaces/workspaces.module Implements hook_entity_base_field_info().
workspaces_entity_create_access function core/modules/workspaces/workspaces.module Implements hook_entity_create_access().

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.